×

INDI Library v1.9.7 Released (29 Jul 2022)

Bi-monthly INDI Library released with new drivers and bug fixes.

AX-GTi error messages on start of Ekos

  • Posts: 21
  • Thank you received: 0
OK, the build process worked with one error message that the indi directory existed and wasn't empty. the update_indi_core command appears to have worked fine.

Sadly the update has caused my Canon driver to crash when starting Ekos. I think there was a comment about this already. When I get a moment I'll go back and reread the thread but for now the system appears to be unusable.
2 months 2 weeks ago #84188

Please Log in or Create an account to join the conversation.

  • Posts: 21
  • Thank you received: 0
Also, both of the red error message about Zero Microsteps per worm revolution is now a warning message in an orange/yellow color.

It says 'Possible corrupted data'.

Am I to understand that you do not see this on your AZ-GTI?
2 months 2 weeks ago #84189

Please Log in or Create an account to join the conversation.

  • Posts: 21
  • Thank you received: 0
[2022-07-07T11:21:34.830 MST INFO ][ org.kde.kstars.ekos] - "AZ-GTi Alt-Az WiFi is online."
[2022-07-07T11:21:34.959 MST INFO ][ org.kde.kstars.ekos] - "Guider port from AZ-GTi Alt-Az WiFi is ready."
[2022-07-07T11:21:35.077 MST INFO ][ org.kde.kstars.indi] - AZ-GTi Alt-Az WiFi : "[INFO] Mount is unparked. "
[2022-07-07T11:21:35.078 MST INFO ][ org.kde.kstars.indi] - AZ-GTi Alt-Az WiFi : "[INFO] Loading device configuration... "
[2022-07-07T11:21:35.081 MST INFO ][ org.kde.kstars.indi] - AZ-GTi Alt-Az WiFi : "[INFO] Auto search is enabled. When connecting, the driver shall attempt to communicate with all available system ports until a connection is established. "
[2022-07-07T11:21:35.083 MST INFO ][ org.kde.kstars.indi] - AZ-GTi Alt-Az WiFi : "[INFO] Dome Policy set to: Dome ignored. Mount can park or unpark regardless of dome parking state. "
[2022-07-07T11:21:35.085 MST INFO ][ org.kde.kstars.indi] - AZ-GTi Alt-Az WiFi : "[INFO] Observer location updated: Latitude 32:13:14.0 (32.22) Longitude -110:58:08.0 (-110.97) "
[2022-07-07T11:21:35.087 MST INFO ][ org.kde.kstars.indi] - AZ-GTi Alt-Az WiFi : "[INFO] Device configuration applied. "
[2022-07-07T11:21:35.237 MST INFO ][ org.kde.kstars.ekos.mount] - "Telescope info updated successfully."
[2022-07-07T11:21:35.325 MST INFO ][ org.kde.kstars.indi] - AZ-GTi Alt-Az WiFi : "[INFO] Observer location updated: Latitude 32:13:14.0 (32.22) Longitude -110:58:08.0 (-110.97) "
[2022-07-07T11:21:37.785 MST CRIT ][ org.kde.kstars.indi] - INDI driver "indi_canon_ccd" crashed!
[2022-07-07T11:21:40.789 MST CRIT ][ org.kde.kstars.indi] - INDI driver "indi_canon_ccd" crashed!
[2022-07-07T11:21:41.917 MST INFO ][ org.kde.kstars.ekos] - "Unable to establish:\n+ Canon DSLR\nPlease ensure the device is connected and powered on."
[2022-07-07T11:21:51.335 MST DEBG ][ org.kde.kstars] - 22 StarBlocks freed from StarBlockFactory
2 months 2 weeks ago #84191

Please Log in or Create an account to join the conversation.

For 3rd party drivers (Canon..etc) run this:
update_indi_drivers

Yes, with my AZ-GTi, I get worm gear count.
Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info
2 months 2 weeks ago #84192

Please Log in or Create an account to join the conversation.

  • Posts: 21
  • Thank you received: 0
Different firmware in our AZ-GTI's? I've updated 6-12 months ago for the equatorial mode but I think this error, now a warning, was there before. Just not totally sure.

Anyway, I need to solve the canon driver crash first.
2 months 2 weeks ago #84193

Please Log in or Create an account to join the conversation.

  • Posts: 21
  • Thank you received: 0
OK, so I see I need the indi-3rdparty code.

I need instructions to download and build it on Stellarmate. I'm not a programmer.
2 months 2 weeks ago #84194

Please Log in or Create an account to join the conversation.

Just run this command as I indicated above:
update_indi_drivers
Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info
2 months 2 weeks ago #84195

Please Log in or Create an account to join the conversation.

  • Posts: 21
  • Thank you received: 0
I tried that but it failed. Error message below. That's why I thought I had to go to Github.

[ 25%] Linking CXX executable indi_nexdome
[ 25%] Built target indi_nexdome
make: *** [Makefile:152: all] Error 2
[ 6%] Built target indi_azgti_telescope
[ 11%] Built target indi_staradventurer2i_telescope
[ 16%] Built target indi_eqmod_telescope
[ 16%] Built target indi_astrolink4
[ 17%] Built target indi_lx200aok
[ 19%] Built target indi_starbook_telescope
[ 20%] Built target indi_starbook_ten
[ 20%] Built target indi_sx_wheel
[ 22%] Built target sx_ccd_test
[ 23%] Linking CXX executable indi_sx_ccd
/usr/bin/ld: CMakeFiles/indi_sx_ccd.dir/sxccd.cpp.o:(.data.rel.ro+0xcc): undefined reference to `INDI::CCD::addFITSKeywords(fitsfile*, INDI::CCDChip*)'
collect2: error: ld returned 1 exit status
make[2]: *** [indi-sx/CMakeFiles/indi_sx_ccd.dir/build.make:102: indi-sx/indi_sx_ccd] Error 1
make[1]: *** [CMakeFiles/Makefile2:1401: indi-sx/CMakeFiles/indi_sx_ccd.dir/all] Error 2
make: *** [Makefile:152: all] Error 2
stellarmate@stellarmate:~ $
2 months 2 weeks ago #84199

Please Log in or Create an account to join the conversation.

That doesn't look right. Do this:
rm -rf ~/Projects/indi-3rdparty
rm -rf ~/Projects/build/indi-3rdparty
update_indi_drivers
Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info
2 months 2 weeks ago #84200

Please Log in or Create an account to join the conversation.

  • Posts: 21
  • Thank you received: 0
Agreed: It doesn't look right but that's what it does. I've completely removed the Projects directory, rebooted and tried a couple of times. It fails.

Question: The github build instructions had me install a bunch of libraries, some of which I could find and some of which I could not. Might those be causing problems?

From my .bash_history file:

sudo apt-get -y install libnova-dev libcfitsio-dev libusb-1.0-0-dev zlib1g-dev libgsl-dev build-essential cmake git libjpeg-dev libcurl4-gnutls-dev libtiff-dev libfftw3-dev libftdi-dev libgps-dev libraw-dev libdc1394-22-dev libgphoto2-dev libboost-dev libboost-regex-dev librtlsdr-dev liblimesuite-dev libftdi1-dev libavcodec-dev libavdevice-dev
sudo apt-get -y install libindi-dev
sudo apt-get -y install libqsi
sudo apt-get -y install libqsi-dev
sudo apt-get -y install libfli-dev
sudo apt-get -y install libapogee-dev
sudo apt-get -y install libapogee
2 months 2 weeks ago #84202

Please Log in or Create an account to join the conversation.

  • Posts: 21
  • Thank you received: 0
Well, sadly I guess I've messed everything up. I'm still at the point where I cannot run Ekos with the Canon driver. I tried removing stuff that I thought I had added, and the Stellarmate Software Updater says I'm completely up to date (v1.7.1, channel stable) but the update_indi_drivers command is failing differently now and I don't know how to fix it after all this messing about short of blowing the whole Stellarmate installation away and reloading the whole OS which would lose all my NFS setting and other stuff that I currently care about but that's probably what I need to do.

stellarmate@stellarmate:~ $ update_indi_drivers
Hit:1 raspbian.raspberrypi.org/raspbian buster InRelease
Hit:2 archive.raspberrypi.org/debian buster InRelease
Hit:3 ppa.stellarmate.com/repos/apt/stable buster InRelease
Reading package lists... Done
Reading package lists... Done
Building dependency tree
Reading state information... Done
build-essential is already the newest version (12.6).
git is already the newest version (1:2.20.1-2+deb10u3).
libboost-dev is already the newest version (1.67.0.1+b1).
libboost-regex-dev is already the newest version (1.67.0.1+b1).
libcfitsio-dev is already the newest version (3.450-3).
libcurl4-gnutls-dev is already the newest version (7.64.0-4+deb10u2).
libdc1394-22-dev is already the newest version (2.2.5-1).
libfftw3-dev is already the newest version (3.3.8-2).
libftdi-dev is already the newest version (0.20-4).
libftdi1-dev is already the newest version (1.4-1+b2).
libgps-dev is already the newest version (3.17-7+b1).
libgsl-dev is already the newest version (2.5+dfsg-6).
libjpeg-dev is already the newest version (1:1.5.2-2+deb10u1).
liblimesuite-dev is already the newest version (18.06.0+dfsg-1+b1).
libnova-dev is already the newest version (0.16-4).
libtiff-dev is already the newest version (4.1.0+git191117-2~deb10u4).
libusb-1.0-0-dev is already the newest version (2:1.0.22-2).
zlib1g-dev is already the newest version (1:1.2.11.dfsg-1+deb10u1).
cmake is already the newest version (3.16.3-3~bpo10+1).
librtlsdr-dev is already the newest version (0.6-1+rpt1).
libgphoto2-dev is already the newest version (2.5.29-stable~202205251835).
libraw-dev is already the newest version (0.20.0-stable~202201171501).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Cloning into 'indi-3rdparty'...
remote: Enumerating objects: 2803, done.
remote: Counting objects: 100% (2803/2803), done.
remote: Compressing objects: 100% (2032/2032), done.
remote: Total 2803 (delta 1014), reused 1707 (delta 665), pack-reused 0
Receiving objects: 100% (2803/2803), 116.39 MiB | 5.75 MiB/s, done.
Resolving deltas: 100% (1014/1014), done.
Checking out files: 100% (2756/2756), done.
-- The CXX compiler identification is GNU 8.3.0
-- The C compiler identification is GNU 8.3.0
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Performing Test COMPATIBLE_FORTIFY_SOURCE
-- Performing Test COMPATIBLE_FORTIFY_SOURCE - Success
-- Found PkgConfig: /usr/bin/pkg-config (found version "0.29")
-- Checking for module 'libavcodec>=57.64.101'
-- Found libavcodec, version 58.35.100
-- Checking for module 'libavdevice>=57.1.100'
-- Found libavdevice, version 58.5.100
-- Checking for module 'libavformat>=57.56.100'
-- Found libavformat, version 58.20.100
-- Checking for module 'libavutil>=55.34.100'
-- Found libavutil, version 56.22.100
-- Checking for module 'libswscale>=4.2.100'
-- Found libswscale, version 5.3.100
-- Found FFMPEG: /usr/lib/arm-linux-gnueabihf/libavcodec.so;/usr/lib/arm-linux-gnueabihf/libavdevice.so;/usr/lib/arm-linux-gnueabihf/libavformat.so;/usr/lib/arm-linux-gnueabihf/libavutil.so;/usr/lib/arm-linux-gnueabihf/libswscale.so, /usr/include/arm-linux-gnueabihf
-- Since FFMPEG was found, INDI Webcam Driver can be built
-- Found USB1: /usr/lib/arm-linux-gnueabihf/libusb-1.0.so (found version "1.0.22")
-- Performing Test USB1_HAS_LIBUSB_ERROR_NAME
-- Performing Test USB1_HAS_LIBUSB_ERROR_NAME - Success
-- Found CURL: /usr/lib/arm-linux-gnueabihf/libcurl.so (found version "7.64.0")
CMake Error at cmake_modules/FindINDI.cmake:285 (message):
Could not find INDI include directory
Call Stack (most recent call first):
libapogee/CMakeLists.txt:26 (find_package)


-- Configuring incomplete, errors occurred!
See also "/home/stellarmate/Projects/build/indi-3rdparty/CMakeFiles/CMakeOutput.log".
make: *** No targets specified and no makefile found. Stop.
make: *** No rule to make target 'install'. Stop.
-- Found FFMPEG: /usr/lib/arm-linux-gnueabihf/libavcodec.so;/usr/lib/arm-linux-gnueabihf/libavdevice.so;/usr/lib/arm-linux-gnueabihf/libavformat.so;/usr/lib/arm-linux-gnueabihf/libavutil.so;/usr/lib/arm-linux-gnueabihf/libswscale.so, /usr/include/arm-linux-gnueabihf
-- Since FFMPEG was found, INDI Webcam Driver can be built
CMake Error at cmake_modules/FindINDI.cmake:285 (message):
Could not find INDI include directory
Call Stack (most recent call first):
indi-eqmod/CMakeLists.txt:10 (find_package)


-- Configuring incomplete, errors occurred!
See also "/home/stellarmate/Projects/build/indi-3rdparty/CMakeFiles/CMakeOutput.log".
make: *** No targets specified and no makefile found. Stop.
make: *** No rule to make target 'install'. Stop.
stellarmate@stellarmate:~ $
2 months 2 weeks ago #84203

Please Log in or Create an account to join the conversation.

send support email to This email address is being protected from spambots. You need JavaScript enabled to view it.
Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info
2 months 2 weeks ago #84204

Please Log in or Create an account to join the conversation.

Time to create page: 0.775 seconds